Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Robert Pluim <[email-masked]>
Date: Mon, 20 Sep 2021 22:38:28 +0200

>>>>> On Fri, 28 Feb 2020 21:56:04 +0100, Robert Pluim <[email-masked]> said:

>>>>> On Fri, 28 Feb 2020 22:16:21 +0200, Eli Zaretskii <[email-masked]> said:
    >>> One thing though: the code currently does set-char-table-range to a
    >>> new value. Is there a chance that an entry already exists in
    >>> composition-function-table for a particular character?

    Eli> Only if the non-leading character is a combining character, which I
    Eli> think is unlikely.  But in general, yes, this should be tested up
    Eli> front to avoid losing composition rules.

    Robert> OK, Iʼll take that into account.

    Robert> Robert

Iʼve just pushed a change to master that should fix (almost) all the
issues with displaying emoji sequences (except for keycaps). Feedback
welcome.

Robert
--